LICENSE AGREEMENT

Subject to the licenses expressly granted below, you obtain no
rights, title or other interests in or to the enclosed
software or related documentation, including any copyright, 
patent, trade secret, trademark or other proprietary rights
therein. All copies of the enclosed software, in whole, or in
part remain the intellectual property of ThunderBYTE B.V.

THIS LICENSE AGREEMENT (the "Agreement") is hereby entered
into between ESaSS B.V., P.O. Box 1380, 6501 BJ Nijmegen, The
Netherlands, and TCT ThunderBYTE Corporation, 49 Main Street,
Suite 300, Massena, NY 13662 (the "Licensor") and the party
executing this Agreement ("You") on the following terms and
conditions:

1.   Licensed Program.  This is a license agreement between
You and Licensor with respect to ThunderBYTE Anti-Virus
utilities ("TBAV"), the accompanying  Documentation and any
fixes, releases, upgrades, new versions or enhancements  that
may subsequently be issued to You (the "Licensed Program").

2.   Certain Preliminary Uses.  The Licensed Program is
distributed to You on self-installing media described in the
Documentation. Your receipt of any dual media, such as 3.5 and
5.25 inch diskettes and/or CD-ROM, does not enlarge Your
license rights or permit You to make an extra copy available
to an unlicensed third party. You will need to install the
Licensed Program on properly configured and compatible
computer equipment according to the Documentation. You will
also need to ensure that all required data is in proper format
and no other software or equipment having an adverse impact on
the Licensed Program are present.

It is understood that NO virus detection and elimination
software will identify and eliminate every possible virus
which may infect Your computer and/or software.  When
installing this program You should ensure You take precautions
to protect valuable data and programs from infection. ESaSS
B.V., and TCT ThunderBYTE Corporation accepts no
responsibility in case the program  malfunctions or does not
function at all. Your sole recourse would be for  the return
of the license fee that was paid for using this software.

3.   Licensed Operating Environment.

     (a)  Operating Environment.  Once You sign this
Agreement, have completed activities described in Section 2
("Certain Preliminary Uses") and provided You pay the
applicable License Fees described or referenced in Section 7
("Price & Payment") when due, You will be deemed to be granted
one (1) non-exclusive operations license(s) for the Licensed
Program, in each  case to install, store, load, execute and
display (collectively, "Use") the Licensed Program on one (1)
CPU of the class described in the Documentation (the "Licensed
Operating Environment"). The Licensed Program is provided only
in machine-readable object code form. The licensed CPU need
not be registered by serial number with Licensor.

4.   Permitted Uses.  Your Authorized Operators may Use the
Licensed Program in the Licensed Operating Environment
strictly for Your internal operations and to process Your own
data.

5.   Reservation of Rights.

     (a)  Rights to Licensed Program.  Upon signing this
Agreement and provided You pay the applicable License Fees
when due, You will own the diskettes or other physical media
on which the Licensed Program is recorded. You will not,
however, own any of the intellectual property rights in the
Licensed Program, or its documentation, whether written,
electronic or otherwise, which at all times will remain the
exclusive property of Licensor or other owner identified in
the Documentation. Instead, You obtain a limited license to
Use the Licensed Program in object code form. You agree not to
disassemble, decompile or reverse engineer the Licensed
Program. You also agree that any information obtained in
violation of this restriction will be confidential information
automatically and irrevocably deemed assigned to and owned
exclusively by the owner of the Licensed Program. You will at
all times use due diligence to safeguard and protect all such
confidential and proprietary information pertaining to the
Licensed Program. You will ensure that all marks, notices or
legends pertaining to the origin, identity or ownership of the
Licensed Program remain intact and clearly legible.

     (b)  All Other Rights Reserved.  Except as expressly
granted to You under another provision of this Agreement,
Licensor reserves to itself and prohibits You (directly or
indirectly, in whole or in part) from loaning, renting,
leasing, sublicensing or otherwise distributing or operating
the Licensed Program to or for the benefit of any third party,
and from altering, adapting, translating or preparing any
derivative work of the Licensed Program. The foregoing
limitation does not prohibit You from making a copy of the
Licensed Program for archival purposes or as an essential step
in making Permitted Uses of the Licensed Program in the
Licensed Operating Environment. 

6.   Product Support.  You may receive the following Product
Support for so long as Licensor generally offers to the public
Hotline Service and Updates for the Licensed Program. Such
service may be revised and or withdrawn at any point at the
sole discretion of the Licensor without any notice to You.  

     (a)  Hotline Service.  You may obtain assistance for
error correction and advice on the use and operation of the
most current version of the Licensed Program You are
authorized to use, through the Licensor's telephone hotline
service operated during Licensor's published business hours.
The Hotline Service is provided at no additional charge, other
than the toll which may be incurred for the telephone call.
You will need to provide sufficient information for Licensor
to replicate and diagnose the reported problem. If
appropriate, Licensor shall be provided reasonable access to
the Licensed Program via remote dial-in contact, subject to
Your approval and normal security requirements. There is
absolutely no guarantee, expressed or implied, in terms of the
response or length of time that You may be required to wait
on-hold for a technician.

     (b)  Updates. You may obtain copies of each revision or
"Update" to the Licensed Program and associated Documentation
which Licensor generally distributes to the public from time
to time, at the then current prices as announced by Licensor.
The Licensor's designation of an item as a new version or an
enhancement rather than an Update shall be conclusive
erroneous. You agree to install all Updates promptly, since
the Licensor will only provide Product Support for the most
recent version of the Licensed Program, incorporating all
prior Updates.

     (c)  Certain Conditions.  Licensor shall not be obligated
to provide Product Support if: (i) the reported error was
caused by unauthorized changes in Licensed Program source
code, program parameters or other user adjustable features;
(ii) the error results from operator error, errors in data or
software not supplied by Licensor or use that exceeds the
Permitted Use or is not in accordance with the Documentation,
or (iii) the error is in a prior release that was corrected
through issuance of an Update that You have not yet installed,
or (iv) You breach this license agreement in any way.

     (d) After Hours Support and On-Site Service.  Licensor
shall not be obligated to provide Product Support after-hours,
on non-business days or on-site.  You may elect to make
contractual arrangements for such additional services by
specific written agreement between Yourself and the Licensor
at rates and conditions which have been agreed to in writing
by both parties.  

7.   Price & Payment.

     (a)  Price.  You agree to pay Licensor a License Fee in
the amount stated on Licensor's invoice. The License Fee is
determined according to the method stated on the invoice. If
the License Fee is based on usage, then You will maintain any
necessary usage records for calculating fees according to the
Documentation. Any applicable Product Support Fees are
referenced in Section 6 ("Product Support").

     (b)  Payment.  Unless otherwise stated on Licensor's
invoice, all applicable fees and shipping charges are payable
by You promptly upon delivery. You will pay all sales, use,
value-added, personal property or other governmental tax or
levy associated with this transaction (including interest and
penalties imposed thereon) other than taxes based on the net
income or profits of Licensor. If You fail to pay any amount
when due, Your license to Use the Licensed Program will
automatically terminate and You will pay all costs of
enforcement, including reasonable legal fees. 

8.   Transfer of License.  You may not assign all or any part
of Your rights or obligations under this Agreement without
Licensor's prior written consent and any attempt to the
contrary will be void and a material breach of this Agreement.
Licensor may withhold such consent in its sole discretion.
Licensor may not impose transfer fees as a condition of any
permitted transfer. A transfer of this Agreement will
terminate any right to Your continued possession or Use of the
Licensed Program and You must promptly destroy all remaining
copies of the Licensed Program in Your possession or under
Your control.

9.   Warranties.  The following provisions are subject to
Section 11 ("Limitation of Remedies & Liabilities"). The
specified warranties will last for thirty (30) days from the
date the Licensed Program is delivered to You (the "Warranty
Period"). Warranties are for Your benefit alone, it being
agreed they are not assignable and there are no third party
beneficiaries of them.

     (a)  Noninfringement Warranty.  To the best of its
knowledge and belief, Licensor warrants it has the rights
needed to enter into this Agreement and that Permitted Use by
You of the Licensed Program in the Licensed Operating
Environment will not infringe or misappropriate any United
States, or any other country of use copyright, trademark,
patent, or the trade secrets of any third persons. If promptly
notified of any claim to the contrary, Licensor shall (i)
defend through litigation or obtain through negotiation Your
right to continue using the Licensed Program; (ii) rework the
Licensed Program to make it non-infringing while preserving
the original functionality, or (iii) replace the Licensed
Program with functionally equivalent software. 

     (b)  Software Media.  Licensor warrants the magnetic
media on which the Licensed Program is recorded and the
Documentation to be free from defects in tangible materials
and accuracy of reproduction from the master media. Licensor
will replace at no charge defective original media or
Documentation returned to it with proof of payment.

     (c)  Limited Performance Warranty.  Licensor warrants to
You that it will make reasonable effort to ensure the Licensed
Program operates substantially in accordance with the
Documentation. If You notify Licensor of a defect, Licensor
will attempt to correct the defect at no cost to You. Licensor
does not warrant that it will be able to correct all reported
defects or that Use of the Licensed Program will be
uninterrupted or error free. LICENSOR MAKES NO OTHER WARRANTY,
EXPRESS OR IMPLIED, AND DISCLAIMS ALL IMPLIED WARRANTIES OF
MERCHANTABILITY, TITLE AND FITNESS FOR A PARTICULAR PURPOSE.
SOME STATES DO NOT ALLOW LIMITATIONS ON HOW LONG AN IMPLIED
WARRANTY LASTS, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU.
THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY
HAVE OTHER RIGHTS WHICH VARY FROM STATE TO STATE.

10.  Software Locks & Undocumented Features.  BE ON NOTICE
THAT THE LICENSED PROGRAM CONTAINS A SOFTWARE LOCK NOT
REVEALED IN THE DOCUMENTATION THAT IS DESIGNED TO PREVENT
UNAUTHORIZED OR EXCESSIVE USE OF THE LICENSED PROGRAM. USAGE
OF THE LICENSED PROGRAM WILL BE MONITORED AND MAY UNDER
CERTAIN CIRCUMSTANCES BE TERMINATED. LICENSOR DOES NOT
REPRESENT OR WARRANT THAT OPERATION OF THIS FEATURE WILL BE
ERROR FREE. YOU NEVERTHELESS AGREE THAT INCORPORATION OF THIS
FEATURE INTO THE LICENSED PROGRAM IS COMMERCIALLY REASONABLE,
HAS BEEN REFLECTED IN THE TERMS AND CONDITIONS OF THIS
AGREEMENT AS A WHOLE AND YOU ACCEPT ALL RISK ASSOCIATED WITH
THIS FEATURE.

11.  Limitation of Remedies & Liabilities.  The following
provisions are a material condition of this Agreement and
reflect a fair allocation of risk:

     (a)  Remedies.  You agree that if the Licensor violates
any warranty or other provision of this Agreement, and
Licensor determines that repair or other corrective action is
not economically or technically feasible, Your sole and
exclusive remedy will be to obtain a refund of License Fees
paid by You. You also agree that legal remedies alone provide
inadequate protection of Licensor's intellectual property
rights in the Licensed Program and that, in addition to other
relief, Licensor may obtain temporary and permanent
injunctions to enforce those rights.

     (b)  Liabilities.  YOU AGREE LICENSOR IS NOT LIABLE FOR
ANY AMOUNT EXCEEDING THE LICENSE FEES ACTUALLY PAID TO IT. IN
NO EVENT SHALL LICENSOR BE LIABLE, WHETHER IN CONTRACT, TORT
(INCLUDING NEGLIGENCE) OR OTHERWISE, FOR ANY INDIRECT,
INCIDENTAL OR CONSEQUENTIAL DAMAGES (INCLUDING LOST SAVINGS OR
PROFIT, LOST DATA OR BUSINESS INTERRUPTION EVEN IF LICENSOR IS
NOTIFIED IN ADVANCE OF SUCH POSSIBILITY). THIS INCLUDES
DAMAGES INCURRED BY YOU, YOUR CUSTOMERS OR ANY THIRD PARTY.
THIS LIMITATION PROTECTS LICENSOR AND ANY DISTRIBUTOR OR
RESELLER FROM WHOM YOU OBTAINED THE LICENSED PROGRAM. SOME
STATES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY
FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE FOREGOING
LIMITATION MAY NOT APPLY TO YOU.

12.  Term & Termination.

     (a)  Generally.  This Agreement shall continue in full
force and effect in perpetuity, unless terminated earlier in
accordance with this or another Section of this Agreement.
This Agreement will terminate automatically if You breach any
provision of it. You may terminate this Agreement at any time
at Your election.

     (b)  Effect of Termination.  Termination of this
Agreement will terminate Your right to possess or Use the
Licensed Program. Upon termination for any reason, You agree
to destroy the original and all copies of the Licensed Program
(including Documentation) and cease all further Use of it.
Termination will have no effect on Your obligation to
safeguard and protect proprietary rights of Licensor under
Section 5(a) ("Rights to Licensed Program"), disclaimers under
Section 9 ("Warranties"), limitations under Section 11
("Limitation of Remedies & Liabilities") or continuing
assurances made under Section 14 ("Export Regulations").

13.  Disputes, Choice of Law.  THIS AGREEMENT SHALL BE
GOVERNED BY AND CONSTRUED IN ACCORDANCE WITH THE SUBSTANTIVE
LAWS OF THE STATE OF DELEWARE, WITHOUT REGARD TO PRINCIPLES OF
CONFLICTS OF LAW. 

14.  Export Regulations.  The transfer of technology across
national boundaries is regulated by the U.S. Government. You
agree not to export or re-export the Licensed Program without
first obtaining any required export license or governmental
approval.  This provision and the assurances made herein shall
survive termination of this Agreement.

15.  U.S. Government Restricted Rights.  The Licensed Program
(including Documentation) are provided with RESTRICTED RIGHTS.
Use, duplication or disclosure by the Government is subject to
restrictions as set forth in subparagraph (c)(1)(ii) of the
Rights in Technical Data and Computer Software clause at DFARS
252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial
Computer Software - Restricted Rights clause at 48 CFR
52.227-19,as applicable. The Contractor is ESaSS B.V., P.O.
Box 1380, 6501 BJ Nijmegen,The Netherlands, and TCT
ThunderBYTE Corporation, 49 Main Street, Suite 300,Massena, NY
13662.

16. Trademarks.  ThunderBYTE is a registered trademark of
ESaSS B.V.. All other product names mentioned are acknowledged
to be the marks of their producing companies.

17.  Miscellaneous.  This document and any Licensor invoice or
pricing information issued under Section 7 ("Price &
Payment"), which are hereby incorporated by reference,
constitute the entire and exclusive agreement between the
parties with respect to the subject matter hereof. This
Agreement supersedes all other communications, whether written
or oral. This document and Your signature in electronic form,
or a hard copy duplicate in good form,shall be considered an
original document with authenticated signature admissible into
evidence unless the document's authenticity is genuinely
placed in question. You may issue a purchase order, but it
will have no substantive effect on replacing, qualifying or in
any way modifying our Agreement. This Agreement may be
modified or amended only by a writing signed by an authorized
representative of Licensor.It is agreed that sales
representatives and distributors of the Licensed Program have
no authority to alter this Agreement. Any provision found by
a tribunal of competent jurisdiction to be illegal or
unenforceable shall be automatically conformed to the minimum
requirements of law and all other provisions shall remain in
full force and effect. Waiver of any provision hereof in one
instance shall not preclude enforcement of it on future
occasions. Headings are for reference purposes only and have
no substantive effect.
